module "sns" {
  source                          = "terraform-aws-modules/sns/aws"
  version                         = "5.3.0"
  for_each                        = var.sns_conf
  tags                            = try(each.value.tags, var.tags)
  name                            = each.key
  use_name_prefix                 = try(each.value.use_name_prefix, var.use_name_prefix)
  application_feedback            = try(each.value.application_feedback, var.application_feedback)
  content_based_deduplication     = try(each.value.content_based_deduplication, var.content_based_deduplication)
  delivery_policy                 = try(each.value.delivery_policy, var.delivery_policy)
  display_name                    = try(each.value.display_name, var.display_name)
  fifo_topic                      = try(each.value.fifo_topic, var.fifo_topic)
  firehose_feedback               = try(each.value.firehose_feedback, var.firehose_feedback)
  http_feedback                   = try(each.value.http_feedback, var.http_feedback)
  kms_master_key_id               = try(each.value.kms_master_key_id, var.kms_master_key_id)
  lambda_feedback                 = try(each.value.lambda_feedback, var.lambda_feedback)
  topic_policy                    = try(each.value.topic_policy, var.topic_policy)
  sqs_feedback                    = try(each.value.sqs_feedback, var.sqs_feedback)
  signature_version               = try(each.value.signature_version, var.signature_version)
  create_topic_policy             = try(each.value.create_topic_policy, var.create_topic_policy)
  source_topic_policy_documents   = try(each.value.source_topic_policy_documents, var.source_topic_policy_documents)
  override_topic_policy_documents = try(each.value.override_topic_policy_documents, var.override_topic_policy_documents)
  enable_default_topic_policy     = try(each.value.enable_default_topic_policy, var.enable_default_topic_policy)
  topic_policy_statements         = try(each.value.topic_policy_statements, var.topic_policy_statements)
  create_subscription             = try(each.value.create_subscription, var.create_subscription)
  subscriptions                   = try(each.value.subscriptions, var.subscriptions)
  tracing_config                  = try(each.value.tracing_config, var.tracing_config)
  data_protection_policy          = try(each.value.data_protection_policy, var.data_protection_policy)
}